Package com.emc.d2fs.models.zipanddownloadstatusobject

# Class ZipAndDownloadValidationStatus

java.lang.Object
com.emc.d2fs.models.zipanddownloadstatusobject.ZipAndDownloadValidationStatus

All Implemented Interfaces:
  `Serializable`

public class ZipAndDownloadValidationStatus extends Object implements Serializable

Java class for zipAndDownloadValidationStatus complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="zipAndDownloadValidationStatus">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="warnings" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="title" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="file-size" use="required" type="{http://www.w3.org/2001/XMLSchema}double" />
           <attribute name="file-count" use="required" type="{http://www.w3.org/2001/XMLSchema}int" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ZipAndDownloadValidationStatus()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFileCount()`
  Gets the value of the fileCount property.
  `double`
  `getFileSize()`
  Gets the value of the fileSize property.
  `String`
  `getTitle()`
  Gets the value of the title property.
  `List<String>`
  `getWarnings()`
  Gets the value of the warnings property.
  `void`
  `setFileCount(int value)`
  Sets the value of the fileCount property.
  `void`
  `setFileSize(double value)`
  Sets the value of the fileSize property.
  `void`
  `setTitle(String value)`
  Sets the value of the title property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ZipAndDownloadValidationStatus

    public ZipAndDownloadValidationStatus()

- ## Method Details

  - ### getWarnings

    public List<String> getWarnings()
    Gets the value of the warnings property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the warnings property.

    For example, to add a new item, do as follows:

            getWarnings().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

  - ### getTitle

    public String getTitle()
    Gets the value of the title property.
    Returns:
      possible object is `String`

  - ### setTitle

    public void setTitle(String value)
    Sets the value of the title property.
    Parameters:
      `value` - allowed object is `String`

  - ### getFileSize

    public double getFileSize()
    Gets the value of the fileSize property.

  - ### setFileSize

    public void setFileSize(double value)
    Sets the value of the fileSize property.

  - ### getFileCount

    public int getFileCount()
    Gets the value of the fileCount property.

  - ### setFileCount

    public void setFileCount(int value)
    Sets the value of the fileCount property.